Bug 1967658 - OLM: Failure alert message for copied CSV not helpful
Summary: OLM: Failure alert message for copied CSV not helpful
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1972478
TreeView+ depends on / blocked
 
Reported: 2021-06-03 14:33 UTC by Samuel Padgett
Modified: 2021-10-18 17:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The UI shows `status.message` in the alert for failed CSVs, but it's not meaningful when the CSV is copied since it's always this generic message. Consequence: The generic message does not help the user troubleshoot the failed CSV. Fix: Change the behavior for copied CSVs to show a more meaningful message and include a link to the original CSV to troubleshoot. Result: The new message for copied CSVs informs the user to see the original CSV for the failure reason and provides a link to it.
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-06-03-055145 Cluster ID: 480fbead-fc49-4aea-b631-619c276061b3 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-10-18 17:32:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (158.88 KB, image/png)
2021-06-03 14:33 UTC, Samuel Padgett
no flags Details
failure message for copied CSV (132.08 KB, image/png)
2021-06-22 09:11 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9233 0 None open Bug 1967658: improve failure alert for copied CSV 2021-06-14 15:03:14 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:33:02 UTC

Description Samuel Padgett 2021-06-03 14:33:30 UTC
Created attachment 1788853 [details]
Screenshot

Currently, `status.message` for a copied CSV is always

> The operator is running in openshift-operators but is managing this namespace

We show `status.message` in the alert for failed CSVs, but it's not meaningful when the CSV is copied since it's always this generic message. We should change the behavior for copied CSVs to show a more meaningful message (maybe with a link to the original CSV to troubleshoot?).

See attached screenshot

Comment 1 Jakub Hadvig 2021-06-07 10:32:24 UTC
Wondering if we should not rather create a RFE story for this issue?

Comment 2 Robb Hamilton 2021-06-10 19:27:42 UTC
Will investigate next sprint.

@spadgett, did you see @jhadvig's question in https://bugzilla.redhat.com/show_bug.cgi?id=1967658#c1?

Comment 3 Samuel Padgett 2021-06-10 20:13:05 UTC
To me, this seems like a bug. The message we're showing is not meaningful, and it should be a small change to fix.

Comment 5 Robb Hamilton 2021-06-21 12:31:23 UTC
Ya Dan, can you please verify the fix?

Comment 6 Yadan Pei 2021-06-22 09:10:35 UTC
1. Install an operator which will failed installation into openshift-operators namespace, the CSV will be copied to other namespaces such as 'default'
# oc get csv -n openshift-operators
NAME                               DISPLAY         VERSION   REPLACES   PHASE
strimzi-cluster-operator.v0.11.0   Strimzi Kafka   0.11.0               Failed
[root@preserved-qe-ui-rhel-1 operator-framework-olm]# oc get csv -n default
NAME                               DISPLAY         VERSION   REPLACES   PHASE
strimzi-cluster-operator.v0.11.0   Strimzi Kafka   0.11.0               Failed

2. Check CSV details in 'default' project, it shows following message with a link to the original CSV
"Operator failed
This Operator was copied from another namespace. For the reason it failed, see
strimzi-cluster-operator.v0.11.0
" 

Verified on 4.9.0-0.nightly-2021-06-21-191858

Comment 7 Yadan Pei 2021-06-22 09:11:43 UTC
Created attachment 1792945 [details]
failure message for copied CSV

Comment 10 errata-xmlrpc 2021-10-18 17:32:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.